
QGIS Application - Bug report #18416

Secured WFS request leads to invalid layer

2018-03-12 12:37 PM - Abiel Kuster

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26305

Description

I have run in to an issue with WFS layers that are served through Geoserver and a secured connection (https). It seems that if the URL

starts with https, QGIS 3.0 will still call http. In a number of cases the http does not automatically redirect to https which results in an

'unknown error' message in QGIS. The 2.99 build that I've used since January of this year does not run into this particular problem. Would

it be possible to force the request through https?

I can't share example services here since they contain authorisation keys that I can't publicly post. I could supply them through different

means if necessary

History

#1 - 2018-05-31 12:12 PM - Even Rouault

If you can email the URL + credentials at <even.rouault at spatialys.com> , I could have a look

#2 - 2018-05-31 12:24 PM - Even Rouault

- Status changed from Open to Feedback

#3 - 2018-08-15 07:56 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
